Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.configuration
Class SshConnectionProperties

    java.lang.Object
      com.sshtools.j2ssh.configuration.SshConnectionProperties

Direct Known Subclasses:
  SshToolsConnectionProfile

public class SshConnectionProperties
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected java.lang.String` | `host` DOCUMENT ME!
`protected int` | `port` DOCUMENT ME!
`protected java.lang.String` | `prefDecryption` DOCUMENT ME!
`protected java.lang.String` | `prefEncryption` DOCUMENT ME!
`protected java.lang.String` | `prefKex` DOCUMENT ME!
`protected java.lang.String` | `prefPK` DOCUMENT ME!
`protected java.lang.String` | `prefRecvComp` DOCUMENT ME!
`protected java.lang.String` | `prefRecvMac` DOCUMENT ME!
`protected java.lang.String` | `prefSendComp` DOCUMENT ME!
`protected java.lang.String` | `prefSendMac` DOCUMENT ME!
`protected java.lang.String` | `proxyHostname` DOCUMENT ME!
`protected java.lang.String` | `proxyPassword` DOCUMENT ME!
`protected int` | `proxyPort` DOCUMENT ME!
`protected java.lang.String` | `proxyUsername` DOCUMENT ME!
`protected int` | `transportProvider` DOCUMENT ME!
`static int` | `USE_HTTP_PROXY` DOCUMENT ME!
`static int` | `USE_SOCKS4_PROXY` DOCUMENT ME!
`static int` | `USE_SOCKS5_PROXY` DOCUMENT ME!
`static int` | `USE_STANDARD_SOCKET` DOCUMENT ME!
`protected java.lang.String` | `username` DOCUMENT ME!

Constructor Summary
`SshConnectionProperties()` Creates a new SshConnectionProperties object.

Method Summary
`java.lang.String` | `getHost()` DOCUMENT ME!
`int` | `getPort()` DOCUMENT ME!
`java.lang.String` | `getPrefCSComp()` DOCUMENT ME!
`java.lang.String` | `getPrefCSEncryption()` DOCUMENT ME!
`java.lang.String` | `getPrefCSMac()` DOCUMENT ME!
`java.lang.String` | `getPrefKex()` DOCUMENT ME!
`java.lang.String` | `getPrefPublicKey()` DOCUMENT ME!
`java.lang.String` | `getPrefSCComp()` DOCUMENT ME!
`java.lang.String` | `getPrefSCEncryption()` DOCUMENT ME!
`java.lang.String` | `getPrefSCMac()` DOCUMENT ME!
`java.lang.String` | `getProxyHost()` DOCUMENT ME!
`java.lang.String` | `getProxyPassword()` DOCUMENT ME!
`int` | `getProxyPort()` DOCUMENT ME!
`java.lang.String` | `getProxyUsername()` DOCUMENT ME!
`int` | `getTransportProvider()` DOCUMENT ME!
`java.lang.String` | `getTransportProviderString()` DOCUMENT ME!
`java.lang.String` | `getUsername()` DOCUMENT ME!
`void` | `setHost(java.lang.String host)` DOCUMENT ME!
`void` | `setPort(int port)` DOCUMENT ME!
`void` | `setPrefCSComp(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefCSEncryption(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefCSMac(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefKex(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefPublicKey(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefSCComp(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefSCEncryption(java.lang.String pref)` DOCUMENT ME!
`void` | `setPrefSCMac(java.lang.String pref)` DOCUMENT ME!
`void` | `setProxyHost(java.lang.String proxyHostname)` DOCUMENT ME!
`void` | `setProxyPassword(java.lang.String proxyPassword)` DOCUMENT ME!
`void` | `setProxyPort(int proxyPort)` DOCUMENT ME!
`void` | `setProxyUsername(java.lang.String proxyUsername)` DOCUMENT ME!
`void` | `setTransportProvider(int transportProvider)` DOCUMENT ME!
`void` | `setTransportProviderString(java.lang.String name)` DOCUMENT ME!
`void` | `setUsername(java.lang.String username)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_STANDARD_SOCKET

    public static final int USE_STANDARD_SOCKET

  DOCUMENT ME!

  See Also:
    Constant Field Values

### USE_HTTP_PROXY

    public static final int USE_HTTP_PROXY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### USE_SOCKS4_PROXY

    public static final int USE_SOCKS4_PROXY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### USE_SOCKS5_PROXY

    public static final int USE_SOCKS5_PROXY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### transportProvider

    protected int transportProvider

  DOCUMENT ME!

### proxyHostname

    protected java.lang.String proxyHostname

  DOCUMENT ME!

### proxyPort

    protected int proxyPort

  DOCUMENT ME!

### proxyUsername

    protected java.lang.String proxyUsername

  DOCUMENT ME!

### proxyPassword

    protected java.lang.String proxyPassword

  DOCUMENT ME!

### host

    protected java.lang.String host

  DOCUMENT ME!

### prefDecryption

    protected java.lang.String prefDecryption

  DOCUMENT ME!

### prefEncryption

    protected java.lang.String prefEncryption

  DOCUMENT ME!

### prefKex

    protected java.lang.String prefKex

  DOCUMENT ME!

### prefPK

    protected java.lang.String prefPK

  DOCUMENT ME!

### prefRecvComp

    protected java.lang.String prefRecvComp

  DOCUMENT ME!

### prefRecvMac

    protected java.lang.String prefRecvMac

  DOCUMENT ME!

### prefSendComp

    protected java.lang.String prefSendComp

  DOCUMENT ME!

### prefSendMac

    protected java.lang.String prefSendMac

  DOCUMENT ME!

### username

    protected java.lang.String username

  DOCUMENT ME!

### port

    protected int port

  DOCUMENT ME!

Constructor Detail

### SshConnectionProperties

    public SshConnectionProperties()

  Creates a new SshConnectionProperties object.

Method Detail

### setHost

    public void setHost(java.lang.String host)

  DOCUMENT ME!

  Parameters:
    `host` - DOCUMENT ME!

### getHost

    public java.lang.String getHost()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPort

    public void setPort(int port)

  DOCUMENT ME!

  Parameters:
    `port` - DOCUMENT ME!

### getPort

    public int getPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getTransportProvider

    public int getTransportProvider()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setTransportProviderString

    public void setTransportProviderString(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!

### getTransportProviderString

    public java.lang.String getTransportProviderString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getProxyHost

    public java.lang.String getProxyHost()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getProxyPort

    public int getProxyPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getProxyUsername

    public java.lang.String getProxyUsername()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getProxyPassword

    public java.lang.String getProxyPassword()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setTransportProvider

    public void setTransportProvider(int transportProvider)

  DOCUMENT ME!

  Parameters:
    `transportProvider` - DOCUMENT ME!

### setProxyHost

    public void setProxyHost(java.lang.String proxyHostname)

  DOCUMENT ME!

  Parameters:
    `proxyHostname` - DOCUMENT ME!

### setProxyPort

    public void setProxyPort(int proxyPort)

  DOCUMENT ME!

  Parameters:
    `proxyPort` - DOCUMENT ME!

### setProxyUsername

    public void setProxyUsername(java.lang.String proxyUsername)

  DOCUMENT ME!

  Parameters:
    `proxyUsername` - DOCUMENT ME!

### setProxyPassword

    public void setProxyPassword(java.lang.String proxyPassword)

  DOCUMENT ME!

  Parameters:
    `proxyPassword` - DOCUMENT ME!

### setPrefCSComp

    public void setPrefCSComp(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefCSComp

    public java.lang.String getPrefCSComp()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefCSEncryption

    public void setPrefCSEncryption(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefCSEncryption

    public java.lang.String getPrefCSEncryption()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefCSMac

    public void setPrefCSMac(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefCSMac

    public java.lang.String getPrefCSMac()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefKex

    public void setPrefKex(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefKex

    public java.lang.String getPrefKex()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefPublicKey

    public void setPrefPublicKey(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefPublicKey

    public java.lang.String getPrefPublicKey()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefSCComp

    public void setPrefSCComp(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefSCComp

    public java.lang.String getPrefSCComp()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefSCEncryption

    public void setPrefSCEncryption(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefSCEncryption

    public java.lang.String getPrefSCEncryption()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setPrefSCMac

    public void setPrefSCMac(java.lang.String pref)

  DOCUMENT ME!

  Parameters:
    `pref` - DOCUMENT ME!

### getPrefSCMac

    public java.lang.String getPrefSCMac()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setUsername

    public void setUsername(java.lang.String username)

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!

### getUsername

    public java.lang.String getUsername()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD